<ion-content class="ion-padding">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'User Settings > Edit Profile' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>
  <div *ngIf="user != null">
    <ion-card>
      <ion-card-header>
        <ion-card-title>{{ 'Profile Picture' | translate }}</ion-card-title>
        <ion-card-subtitle>{{ 'This photo is seen by all users in your society' | translate }}</ion-card-subtitle>
      </ion-card-header>
      <ion-card-content>
        <ion-grid>
          <ion-row>
            <ion-col>

              <div padding align="center">
                <ion-avatar>
                  <img [src]="user?.profilePicture?.content">
                  <ion-fab vertical="center" horizontal="center" >
                    <ion-fab-button size="small">
                      <ion-icon name="image"></ion-icon>
                    </ion-fab-button>
                    <ion-fab-list side="bottom" (click)="takePicture()">
                      <ion-fab-button size="small" color="primary">
                        <ion-icon name="camera"></ion-icon>
                      </ion-fab-button>
                    </ion-fab-list>
                    <ion-fab-list side="start" (click)="selectPicture()">
                      <ion-fab-button size="small" color="primary">
                        <ion-icon name="folder"></ion-icon>
                      </ion-fab-button>
                    </ion-fab-list>
                    <ion-fab-list side="end" (click)="removePicture()">
                      <ion-fab-button size="small" color="danger">
                        <ion-icon name="trash"></ion-icon>
                      </ion-fab-button>
                    </ion-fab-list>
                  </ion-fab>
                </ion-avatar>
                <ion-progress-bar *ngIf="profileImageUploadInprogress" type="indeterminate"></ion-progress-bar>
              </div>

            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-card-content>
    </ion-card>
    <ion-card>
      <ion-card-header>
        <ion-card-title>{{ 'Name' | translate }}</ion-card-title>
        <ion-card-subtitle>{{ 'Full Name' | translate }}</ion-card-subtitle>
      </ion-card-header>
      <ion-card-content>
        <ion-item>
          <ion-label position="floating">{{ 'Name' | translate }}</ion-label>
          <ion-input [(ngModel)]="user.name" type="text" maxlength="30" name="name" (ngModelChange)="nameChanged()"></ion-input>
        </ion-item>
        <ion-progress-bar *ngIf="updateNameInProgress" type="indeterminate"></ion-progress-bar>
        <ion-button *ngIf="user.name != '' && nameInputChanged" (click)="updateName()">{{ 'Update Name' | translate }}
        </ion-button>
      </ion-card-content>
    </ion-card>
    <ion-card>
      <ion-card-header>
        <ion-card-title>{{ 'Current Status' | translate }}</ion-card-title>
        <ion-card-subtitle>{{ 'This message will appear on your profile.' | translate }}</ion-card-subtitle>
      </ion-card-header>
      <ion-card-content>
        <ion-item>
          <ion-label position="floating">{{ 'Status' | translate }}</ion-label>
          <ion-input [(ngModel)]="user.status" type="text" maxlength="20" name="status" (ngModelChange)="statusChanged()"></ion-input>
        </ion-item>
        <ion-progress-bar *ngIf="updateStatusInProgress" type="indeterminate"></ion-progress-bar>
        <ion-button *ngIf="user.status != '' && statusInputChanged" (click)="updateStatus()">
          {{ 'Update Status' | translate }}</ion-button>
      </ion-card-content>
    </ion-card>
    <ion-card>
      <ion-card-header>
        <ion-card-title>{{ 'Phone' | translate }}</ion-card-title>
        <ion-card-subtitle>{{ 'This phone number is used to contact you and give notification' | translate }}
        </ion-card-subtitle>
      </ion-card-header>
      <ion-card-content>
        <ion-grid>
          <ion-row>
            <ion-col>
              <ion-item>
                <ion-label position="floating">{{ 'Country Code' | translate }}</ion-label>
                <ion-select value="+91" [(ngModel)]="countryCode" name="countryCode">
                  <ion-select-option value="+91">+91</ion-select-option>
                </ion-select>
              </ion-item>
            </ion-col>
            <ion-col>
              <ion-item>
                <ion-label position="floating">{{ 'Phone' | translate }}</ion-label>
                <ion-input [(ngModel)]="user.phone" type="number" name="phone" (ngModelChange)="phoneChanged()">
                </ion-input>
              </ion-item>
            </ion-col>
          </ion-row>
        </ion-grid>
        <ion-progress-bar *ngIf="sendVerificationCodeInProgress" type="indeterminate"></ion-progress-bar>
        <ion-button *ngIf="user.phone != '' && phoneInputChanged" (click)="sendVerificationCode()">{{ 'Send Verification Code' | translate }}
        </ion-button>
        <div id="sendVerificationCodeButton"></div>
        <div *ngIf="verficationCodeSent && user.phone != '' && phoneInputChanged">
          <ion-item>
            <ion-label position="floating">{{ 'Enter OTP' | translate }}</ion-label>
            <ion-input [(ngModel)]="verificationCode" name="otp"></ion-input>
          </ion-item>
          <ion-button (click)="verify()">{{ 'Verify' | translate }}
          </ion-button>
        </div>
      </ion-card-content>
    </ion-card>
    <ion-card>
      <ion-card-header>
        <ion-card-title>{{ 'E-mail' | translate }}</ion-card-title>
        <!-- <ion-card-subtitle>{{ 'You need to reverify Email if you change it' | translate }}</ion-card-subtitle> -->
      </ion-card-header>
      <ion-card-content>
        <ion-item>
          <ion-label position="floating">{{ 'Email' | translate }}</ion-label>
          <ion-input [(ngModel)]="user.emailId" type="email" name="email"></ion-input>
        </ion-item>
      </ion-card-content>
    </ion-card>
    <ion-card *ngIf="user.type === 'Society'">
      <ion-card-header>
        <ion-card-title>{{ 'Address' | translate }}</ion-card-title>
        <ion-card-subtitle>{{ 'Address' | translate }}</ion-card-subtitle>
      </ion-card-header>
      <ion-card-content>
        <ion-item>
          <ion-label position="floating">{{ 'Area' | translate }}</ion-label>
          <ion-input [(ngModel)]="user.address.area" type="text" name="area" (ngModelChange)="areaChanged = true">
          </ion-input>
        </ion-item>
        <ion-grid>
          <ion-row>
            <ion-col>
              <ion-item>
                <ion-label position="floating">{{ 'City' | translate }}</ion-label>
                <ion-input [(ngModel)]="user.address.city" type="text" name="city" (ngModelChange)="cityChanged = true">
                </ion-input>
              </ion-item>
            </ion-col>
            <ion-col>
              <ion-item>
                <ion-label position="floating">{{ 'State' | translate }}</ion-label>
                <ion-input [(ngModel)]="user.address.state" type="text" name="state"
                  (ngModelChange)="stateChanged = true"></ion-input>
              </ion-item>
            </ion-col>
          </ion-row>
        </ion-grid>
        <ion-item>
          <ion-label position="floating">{{ 'Pincode' | translate }}</ion-label>
          <ion-input [(ngModel)]="user.address.pincode" type="number" name="pincode"
            (ngModelChange)="pincodeChanged = true"></ion-input>
        </ion-item>
        <ion-button color="primary" *ngIf="areaChanged || cityChanged || stateChanged || pincodeChanged"
          (click)="updateAddress()">{{ 'Update Address' | translate }}</ion-button>
      </ion-card-content>
    </ion-card>
    <div style="height: 100px;">&nbsp;</div>
  </div>
</ion-content>